#ifndef __PARSE
#define __PARSE

#define DEFAULT_SOLVER2_TIMEOUT 1

#include <stdio.h>

typedef struct
{
  int threads;
  int turnOff;
  int check;
  int staticClause;

  int printLearnedClauses;
  int shortClauses;

  int timeout;

  int prerun; // Seconds run before

  int noRestarts;
  int frequency;

  int maxTransversals;
  int girth;
  int printClauses;
  int minTransversals;

  int oriented;

  int debug;

  int verify;

  char *assumptionFile;
  int assumptionLine;

  int lazyEncoding;
  int addSingleClause;

  FILE *clauseFile; // print the result to this file

  char **optionsClingo;
  int nOptions;
} my_args_t;

void parse(char const **argv, int arc, my_args_t *args);

#endif